Как правильно обновить php

Тема в разделе "PHP", создана пользователем phillip, 2 авг 2009.

Статус темы:
Закрыта.
Модераторы: latteo
  1. phillip

    phillip

    Регистр.:
    4 сен 2007
    Сообщения:
    413
    Симпатии:
    15
    Решил я использовать goto, но не могу пхп обновить((( Скачал с php.net версию 5.3.0, архив распаковываю а там нету такого как в моей папке- php.exe, dll всяких и тд. Как правильно обновить то его :nezn:

    Добавлено через 8 минут
    во! счас нашел версию для винды, видать она мне нужна. У меня денвер. Но есть пара вопросов. Какую версию выбрать? там есть

    • VC9 x86 Non Thread Safe
    • VC9 x86 Thread Safe (2009-Jun-30 08:52:56)
    • VC6 x86 Non Thread Safe (2009-Jun-30 08:52:54)
    • VC6 x86 Thread Safe (2009-Jun-30 08:52:55)
    Какую скачать будет правильно?) И еще-чот у меня никакая оттуда не качается, скорость = нулю( Может кто знает зеркало? Там зеркала есть только не для виндовых пхп
     
  2. Compressor

    Compressor

    Регистр.:
    31 янв 2009
    Сообщения:
    314
    Симпатии:
    200
    http://ru.php.net/get/php-5.2.10-Win32.zip/from/a/mirror

    Скачаешь. Найдешь в папке с денвером, где лежит php.exe и заменишь ее содержимое на более новые версии. php.ini тоже новый кинь и настрой.
     
  3. phillip

    phillip

    Регистр.:
    4 сен 2007
    Сообщения:
    413
    Симпатии:
    15
    спасиб) только мне надо версию 5.3.0 а не 5.2.10
     
  4. PapaJoe

    PapaJoe

    Регистр.:
    4 авг 2008
    Сообщения:
    620
    Симпатии:
    311
    эта надпись о чем нибудь говорит? вернее ее последняя строчка.

    а насчет Thread Safe или Non Thread Safe сюда: http://www.iis-aid.com/articles/my_..._php_thread_safe_and_non_thread_safe_binaries
     
  5. lena berkova

    lena berkova

    Регистр.:
    14 янв 2009
    Сообщения:
    441
    Симпатии:
    19
    если мучают сомнения то качни денвер, там вроде 5 версия пхп уже стоит
     
  6. tostrss

    tostrss

    Регистр.:
    16 окт 2007
    Сообщения:
    771
    Симпатии:
    217
    но не 5.3, а goto только в 5.3 появилось.
     
  7. Casper_R

    Casper_R Создатель

    Регистр.:
    3 май 2007
    Сообщения:
    85
    Симпатии:
    25
    в денвере воткнут PHP 5.3 только в нововй сборке.
    Пока там 5.2.какой-то стоит.

    Искал 5.3 под винду с апачем, но нашел только под никсовые системы :(
     
  8. PapaJoe

    PapaJoe

    Регистр.:
    4 авг 2008
    Сообщения:
    620
    Симпатии:
    311
    а тут? http://windows.php.net/download/
     
    Casper_R нравится это.
Статус темы:
Закрыта.